//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DAL.DBEntities
{
    using System;
    using System.Collections.Generic;
    
    public partial class vt_Order
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public vt_Order()
        {
            this.vt_Subscription = new HashSet<vt_Subscription>();
        }
    
        public int Id { get; set; }
        public string O_MCID { get; set; }
        public string S_MCID { get; set; }
        public string C_MCID { get; set; }
        public string P_MCID { get; set; }
        public string SKU_MCID { get; set; }
        public string Offer_MCID { get; set; }
        public string Title { get; set; }
        public Nullable<int> Quantity { get; set; }
        public Nullable<int> customerId { get; set; }
        public Nullable<int> ProductId { get; set; }
        public string BillingCycle { get; set; }
        public string CurrencyCode { get; set; }
        public string ProvisioningStatus { get; set; }
        public string Subscription { get; set; }
        public string Uri { get; set; }
        public Nullable<System.DateTime> CreationDate { get; set; }
        public string Status { get; set; }
        public Nullable<decimal> ListPrice { get; set; }
        public Nullable<decimal> Msrp { get; set; }
        public string Duration { get; set; }
    
        public virtual vt_Products vt_Products { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<vt_Subscription> vt_Subscription { get; set; }
    }
}
